using System.ComponentModel.DataAnnotations;
using Orleans;
using static Managing.Common.Enums;

[GenerateSerializer]
public class LightMoneyManagement
{
    [Id(0)]
    [Required] public string Name { get; set; }
    
    [Id(1)]
    [Required] public Timeframe Timeframe { get; set; }
    
    [Id(2)]
    [Required] public decimal StopLoss { get; set; }
    
    [Id(3)]
    [Required] public decimal TakeProfit { get; set; }
    
    [Id(4)]
    [Required] public decimal Leverage { get; set; }

    public void FormatPercentage()
    {
        StopLoss /= 100;
        TakeProfit /= 100;
    }
}